Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518895 - plt-scheme version bump
Summary: plt-scheme version bump
Keywords:
Status: CLOSED DUPLICATE of bug 676124
Alias: None
Product: Fedora
Classification: Fedora
Component: plt-scheme
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 02:04 UTC by Ivan Ferrucio Reche da Silva Filgueiras
Modified: 2011-02-12 21:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-12 21:53:05 UTC
Type: ---


Attachments (Terms of Use)

Description Ivan Ferrucio Reche da Silva Filgueiras 2009-08-24 02:04:42 UTC
Description of problem:

There is a new version available (4.2.1). The documentation from the site does not match anymore the implementation distributed in Fedora with respect to some itens.

Version-Release number of selected component (if applicable):
4.1.2-3

Comment 1 Ivan Ferrucio Reche da Silva Filgueiras 2009-08-24 02:06:20 UTC
The update looks quite simple. I tried changing the version number in the SRPM and it worked like a charm.

Comment 2 Bug Zapper 2009-11-16 11:37:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Gene Snider 2010-08-14 21:46:45 UTC
Has this package been orphaned?  I have cleaned up the SPEC file slightly and modified it to build the renamed Racket 5.0 and 5.0.1 packages from upstream.  I've been trying to build with shared libraries enabled for 4.1.2, 4.2.4, and 5.0 on F12, F13, F14, respectively, without success.  The scheme compiler, mzscheme, from upstream always seg faulted.  However, I provided feedback to upstream, and it appears that I will be able to build racket-5.0.1 with shared libraries enabled on F14 development.

If this package is NOT orphaned, I'd be happy to send my SPEC file to the package maintainer.  I'm not very experienced with rpmbuild, so there are still things that need to be cleaned up in my SPEC file.  In particular, the obsoletes and provides sections in the original file don't pass rpmlint, and mine don't either.  Also, I don't think the %files section is what it should be.  The original included  *.a files, so I included *.la files.  However, I'm thinking those should have been deleted from the RPM.  Also, I see that I need to package the new *.so files from the shared library build.

Please let me know if this package still has an active maintainer, and if they would like to see my SPEC file.

Thanks,
Gene

Comment 4 Bug Zapper 2010-11-04 10:24:55 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Ivan Ferrucio Reche da Silva Filgueiras 2010-11-06 10:31:40 UTC
This old version is still the one being provided by Fedora.

The implementation is now called Racket and it would be nice to see packages for it in Fedora.

Comment 6 Gérard Milmeister 2011-02-12 21:53:05 UTC

*** This bug has been marked as a duplicate of bug 676124 ***


Note You need to log in before you can comment on or make changes to this bug.